Subject: Re: [PATCH 0/3] b43: logging cleanups

From: Michael Büsch <[email-masked]>
Date: Fri, 25 Jun 2010 15:28:04 +0200

On 06/24/2010 09:40 PM, Joe Perches wrote:
> On Thu, 2010-06-24 at 14:53 -0400, John W. Linville wrote:
>> On Sat, Jun 19, 2010 at 04:30:08PM -0700, Joe Perches wrote:
>>> Just some small cleanups
>>> Joe Perches (3):
>>>    drivers/net/wireless/b43: Use local ratelimit_state
>>>    drivers/net/wireless/b43: Logging cleanups
>>>    drivers/net/wireless/b43: Rename b43_debug to b43_debugging
>> Any of the b43 guys want to express an opinion on these?

The cleanups, well, exchange one name for the other. I don't have a
strong opinion on one or the other. So in the end I don't see why
that stuff should be renamed. However, in the end I really do not care.

I'm not sure why we need an additional ratelimit here. Is it a policy
that every kernel driver should have local ratelimiting? If not, why
do you think b43 needs its own ratelimiting? Note that b43 does not
output a single line to dmesg in normal operation, after init has
finished (and ratelimit is disabled in init).

> Stefano, are you active here?
> Your last ack for b43 was Feb 2008.
> There have been 400+ commits to b43 without your ack.
>
> Should your name be moved from MAINTAINERS to CREDITS?
>
> $ ./scripts/get_maintainer.pl --rolestats -f drivers/net/wireless/b43/
> Stefano Brivio<[email-masked]>  (maintainer:B43 WIRELESS DRIVER)
> "John W. Linville"<[email-masked]>  (maintainer:NETWORKING [WIREL...,commit_signer:204/240=85%)
> "Rafał Miłecki"<[email-masked]>  (commit_signer:83/240=35%)
> "Gábor Stefanik"<[email-masked]>  (commit_signer:44/240=18%)
> Michael Buesch<[email-masked]>  (commit_signer:39/240=16%)
> Larry Finger<[email-masked]>  (commit_signer:13/240=5%)
> [email-masked] (open list:B43 WIRELESS DRIVER)
> [email-masked] (open list:NETWORKING DRIVERS)
> [email-masked] (open list)

I think these statistics are almost worthless for b43.

-- 
Greetings Michael.